com.r3corda.core.contracts / ClientToServiceCommand / IssueCash

# IssueCash

`class IssueCash : ClientToServiceCommand`

Issue cash state objects.

### Parameters

`amount` - the amount of currency to issue on to the ledger.
`issueRef` - the reference to specify on the issuance, used to differentiate pools of cash. Convention is to use the single byte "0x01" as a default.
`recipient` - the party to issue the cash to.
`notary` - the notary to use for this transaction.
`id` - the ID to be provided in events resulting from this request.

### Constructors

<init> | `IssueCash(amount: Amount<Currency>, issueRef: OpaqueBytes, recipient: Party, notary: Party, id: UUID = UUID.randomUUID())` Issue cash state objects.

### Properties

amount | `val amount: Amount<Currency>`
issueRef | `val issueRef: OpaqueBytes`
notary | `val notary: Party`
recipient | `val recipient: Party`

### Inherited Properties

id | `val id: UUID`